Package uk.ac.starlink.vo

## Class ConeSearchDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.RegistryServiceTableLoadDialog
    - - uk.ac.starlink.vo.DalTableLoadDialog
      - - uk.ac.starlink.vo.SkyDalTableLoadDialog
        - - uk.ac.starlink.vo.ConeSearchDialog

- All Implemented Interfaces:
    `DalLoader`

      public class ConeSearchDialog
      extends SkyDalTableLoadDialog

  Table load dialogue which allows cone searches. Cone search services are obtained from a registry.
  Since:
    21 Dec 2004
  Author:
    Mark Taylor (Starlink)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConeSearchDialog​()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createQueryComponent​()` |
    `uk.ac.starlink.table.gui.TableLoader` | `createTableLoader​()` |

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from interface uk.ac.starlink.vo.DalLoader

      `acceptResourceIdList, getMenus, getRegistryPanel, setMenus`

    - ### Methods inherited from class uk.ac.starlink.vo.DalTableLoadDialog

      `checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlField, isReady, setServiceUrl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.vo.RegistryServiceTableLoadDialog

      `acceptResourceIdList, getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

    - ### Methods inherited from class uk.ac.starlink.vo.SkyDalTableLoadDialog

      `acceptSkyPosition, getQuerySummary, getSkyEntry`

- - ### Constructor Detail

    - #### ConeSearchDialog

          public ConeSearchDialog​()

      Constructor.

  - ### Method Detail

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent​()

      Overrides:
        `createQueryComponent` in class `SkyDalTableLoadDialog`

    - #### createTableLoader

          public uk.ac.starlink.table.gui.TableLoader createTableLoader​()

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.